## univention-directory-listener 14.0.5-2A~5.0.0.202104221558

=== debian/changelog ===
univention-directory-listener (14.0.5-2A~5.0.0.202104221558) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 22 Apr 2021 15:58:19 +0200

univention-directory-listener (14.0.5-2) unstable; urgency=medium

  * Bug #52956: fix dependency on python-univention

 -- Florian Best <best@univention.de>  Fri, 19 Mar 2021 11:53:19 +0100

univention-directory-listener (14.0.5-1) unstable; urgency=low

  * Bug #43686: Convert UDL from runit to systemd

 -- Philipp Hahn <hahn@univention.de>  Mon, 01 Feb 2021 17:37:48 +0100

univention-directory-listener (14.0.4-1) unstable; urgency=medium

  * Bug #45888: fix dictionary iteration

 -- Florian Best <best@univention.de>  Mon, 11 Jan 2021 10:38:14 +0100

univention-directory-listener (14.0.3-1) unstable; urgency=medium

  * Bug #45888: migrate to Python 3

 -- Florian Best <best@univention.de>  Tue, 15 Dec 2020 17:09:37 +0100

univention-directory-listener (14.0.2-3) unstable; urgency=low

  * Bug #52448: Remove univention-runit

 -- Philipp Hahn <hahn@univention.de>  Tue, 01 Dec 2020 11:28:10 +0100

univention-directory-listener (14.0.2-2) unstable; urgency=low

  * Bug #52448: Remove univention-runit

 -- Philipp Hahn <hahn@univention.de>  Tue, 01 Dec 2020 11:04:27 +0100

univention-directory-listener (14.0.2-1) unstable; urgency=medium

  * Bug #39167: Setting the default mdb maxsize to 4GB

 -- Jan Luttermann <luttermann@univention.de>  Wed, 18 Nov 2020 19:15:03 +0100

univention-directory-listener (14.0.1-1) unstable; urgency=medium

  * Bug #43686: Convert UDL from runit to systemd

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 20 Oct 2020 16:41:29 +0200

univention-directory-listener (14.0.0-4) unstable; urgency=medium

  * Bug #42374: Wording fixes

 -- Arvid <requate@univention.de>  Mon, 05 Oct 2020 16:20:06 +0200

univention-directory-listener (14.0.0-3) unstable; urgency=medium

  * Bug #42374: Wording - Master -> Primary; Slave -> Replica

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 25 Sep 2020 01:33:09 +0200

univention-directory-listener (14.0.0-2) unstable; urgency=low

  * Bug #42334: Remove replog code fragments

 -- Philipp Hahn <hahn@univention.de>  Sun, 05 Jul 2020 19:12:16 +0200

univention-directory-listener (14.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:19 +0200

univention-directory-listener (13.0.3-1) unstable; urgency=medium

  * Bug #51087: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Tue, 14 Apr 2020 10:33:46 +0200

univention-directory-listener (13.0.2-12) unstable; urgency=low

  * Bug #47587: Close LMDB cursor on success
  * Bug #49146: Migrate to dh_python
  * Bug #50407: Remove DB3 code
  * Bug #50110: Add missing UCR header to run script
  * Bug #48139: Remove unused memcached_univention-directory-listener.conf

 -- Philipp Hahn <hahn@univention.de>  Wed, 23 Oct 2019 14:52:45 +0200

univention-directory-listener (13.0.2-11) unstable; urgency=medium

  * Bug #48698: Fix user visible spelling errors

 -- Philipp Hahn <hahn@univention.de>  Thu, 08 Aug 2019 05:46:38 +0200

univention-directory-listener (13.0.2-10) unstable; urgency=medium

  * Bug #49832: reverted the changes in this package and moved them to the
    univention-management-console-module-appcenter package

 -- Jannik Ahlers <ahlers@univention.de>  Wed, 24 Jul 2019 10:56:07 +0200

univention-directory-listener (13.0.2-9) unstable; urgency=medium

  * Bug #49832: fix typo

 -- Jannik Ahlers <ahlers@univention.de>  Tue, 23 Jul 2019 17:24:08 +0200

univention-directory-listener (13.0.2-8) unstable; urgency=medium

  * Bug #49832: Made changes according to QA Feedback

 -- Jannik Ahlers <ahlers@univention.de>  Tue, 23 Jul 2019 16:40:48 +0200

univention-directory-listener (13.0.2-7) unstable; urgency=medium

  * Bug #49832: added python-support to build deps

 -- Felix Botner <botner@univention.de>  Mon, 22 Jul 2019 13:47:44 +0200

univention-directory-listener (13.0.2-6) unstable; urgency=medium

  * Bug #49832: resync the listener in postinst so the app tab gets shown
    again

 -- Jannik Ahlers <ahlers@univention.de>  Thu, 18 Jul 2019 15:42:16 +0200

univention-directory-listener (13.0.2-5) unstable; urgency=medium

  * Bug #49228: only update object if attributes differ

 -- Jürn Brodersen <brodersen@univention.de>  Sun, 28 Apr 2019 21:51:54 +0200

univention-directory-listener (13.0.2-4) unstable; urgency=medium

  * Bug #49228: exit resync-objects.py early on master servers

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 26 Apr 2019 14:37:10 +0200

univention-directory-listener (13.0.2-3) unstable; urgency=medium

  * Bug #49228: Fix resync-objects script

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 24 Apr 2019 17:45:01 +0200

univention-directory-listener (13.0.2-2) unstable; urgency=medium

  * Bug #48642: Merge UDN protocol 3

 -- Philipp Hahn <hahn@univention.de>  Mon, 18 Feb 2019 15:17:43 +0100

univention-directory-listener (13.0.2-1) unstable; urgency=low

  * Bug #25935: resync-objects.py: allow update of existing objects

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 24 Jan 2019 21:53:11 +0100

univention-directory-listener (13.0.1-1) unstable; urgency=medium

  * Bug #46969: bindpwdfile support

 -- Felix Botner <botner@univention.de>  Fri, 21 Dec 2018 12:02:46 +0100

univention-directory-listener (13.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:36 +0100

univention-directory-listener (12.0.0-33) unstable; urgency=low

  * Bug #48030: Never chose LDAP server different from UDN.

 -- Philipp Hahn <hahn@univention.de>  Tue, 13 Nov 2018 09:40:47 +0100

univention-directory-listener (12.0.0-32) unstable; urgency=low

  * Bug #48030: Never chose LDAP server different from UDN.



## univention-directory-listener 14.0.5-3A~5.0.0.202106081249

=== src/Makefile ===
#
# Univention Directory Listener
#  Makefile for the listener
#
# Copyright 2004-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.
#
CC ?= gcc

DB_LDLIBS := -llmdb
DB_OBJS := cache.o cache_dn.o cache_entry.o cache_lowlevel.o base64.o filter.o

LDAP_LDLIBS := -lldap -llber

CFLAGS += -Wall -Werror -D_FILE_OFFSET_BITS=64
LDLIBS := -luniventiondebug -luniventionconfig -licuuc
LISTENER_LDLIBS := -luniventionpolicy $(LDAP_LDLIBS) -lpython3.7m $(DB_LDLIBS)
LISTENER_OBJS := main.o notifier.o transfile.o handlers.o change.o network.o signals.o select_server.o utils.o $(DB_OBJS)
DUMP_LDLIBS := $(LDAP_LDLIBS) $(DB_LDLIBS)
DUMP_OBJS := dump.o dump_signals.o utils.o $(DB_OBJS)
DEMO_OBJS := demo.o network.o utils.o
VERIFY_LDLIBS := $(LDAP_LDLIBS) $(DB_LDLIBS)
VERIFY_OBJS := verify.o dump_signals.o utils.o $(DB_OBJS)

ALL ?= listener dump verify
.PHONY: all
all: $(ALL)

listener: $(LISTENER_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(LISTENER_LDLIBS)

dump: $(DUMP_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(DUMP_LDLIBS)

demo: $(DEMO_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(DEMO_LDLIBS)

verify: $(VERIFY_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(VERIFY_LDLIBS)

.PHONY: clean
clean::
	$(RM) *.o
	$(RM) $(ALL)

=== debian/changelog ===
univention-directory-listener (14.0.5-3A~5.0.0.202106081249) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 08 Jun 2021 12:49:59 +0200

univention-directory-listener (14.0.5-3) unstable; urgency=low

  * Bug #53071: Make StdIO unbuffered

 -- Philipp Hahn <hahn@univention.de>  Tue, 08 Jun 2021 12:01:34 +0200

=== debian/control ===
Source: univention-directory-listener
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.5.5
Build-Depends:
 debhelper,
 dh-python,
 libicu-dev,
 libldap2-dev,
 liblmdb-dev,
 libssl-dev,
 libunivention-config-dev,
 libunivention-debug-dev (>= 0.8),
 libunivention-policy-dev,
 python-all,
 python-all-dev,
 python-debian,
 python-six,
 python3-all,
 python3-all-dev,
 python3-debian,
 python3-six,
 univention-config-dev (>= 15.0.3),

Package: univention-directory-listener
Architecture: any
Depends:
 python-univention-lib (>= 1.0.25-1),
 python-univention-namespace,
 python-univention (>= 13),
 python-univention-debug,
 shell-univention-lib (>= 1.0.6),
 univention-base-files,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Suggests:
 lmdb-utils,
Conflicts:
 univention-ldap-listener (<< 2.2.2),
Breaks:
 python-univention (<< 13),
 python-univention-directory-manager (<< 15),
Description: UCS - Directory Listener
 UCS Directory Listener is a client for the UCS
 Directory Notifier which calls Python handlers upon changes. By
 keeping a local cache, it can detect the change of single
 attributes and only run the appropriate handlers, providing
 both, the old and new objects to the handler. Through
 modules, all sort of functionality such as LDAP replication
 or host specific configuration files can be implemented.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Directory Listener
#  rules file for the debian package
#
# Copyright 2004-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

export PYBUILD_NAME=univention-directory-listener

override_dh_auto_clean:
	$(MAKE) -C src clean
	$(MAKE) -C tests clean
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) -C src all
	$(MAKE) -C tests all
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --destdir=debian/univention-directory-listener

override_dh_install:
	dh_install
	mv debian/univention-directory-listener/usr/sbin/listener debian/univention-directory-listener/usr/sbin/univention-directory-listener
	mv debian/univention-directory-listener/usr/sbin/dump debian/univention-directory-listener/usr/sbin/univention-directory-listener-dump
	mv debian/univention-directory-listener/usr/sbin/verify debian/univention-directory-listener/usr/sbin/univention-directory-listener-verify
	mv debian/univention-directory-listener/usr/sbin/listener-ctrl debian/univention-directory-listener/usr/sbin/univention-directory-listener-ctrl

override_dh_python2:
	dh_python2 --skip-private

override_dh_python3:
	dh_python3 --skip-private

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/univention-directory-listener/etc/network/if-post-down.d/univention-directory-listener
	chmod 750 debian/univention-directory-listener/var/log/univention/listener_modules

override_dh_auto_test:
	make -C tests tests

override_dh_strip:
	dh_strip --dbgsym-migration='univention-directory-listener-dbg (<< 13.0.2-12~)'

override_dh_installdocs:
	dh_installdocs --link-doc=univention-directory-listener

%:
	dh $@ --with python2,python3,ucr,systemd --buildsystem=pybuild

## univention-directory-listener 14.0.5-6A~5.0.0.202111301701

=== tests/Makefile ===
#
# Univention Directory Listener
#  Makefile for testing the listener
#
# Copyright 2004-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.
#
SOURCES := $(wildcard test__*.c)
ALL ?= $(patsubst  %.c,%,$(SOURCES))

.PHONY: all
all: $(ALL)

.PHONY: tests
tests: $(ALL)
	run-parts --verbose --regex='test__[^.]*$$' .

test__filter__cache_entry_ldap_filter_match: ../src/filter.o
test__utils__lower_utf8: ../src/utils.o
test__utils__same_dn: ../src/utils.o

include ../src/Makefile

CFLAGS += $(DB_CFLAGS) -I../src -fdata-sections -ffunction-sections
LDFLAGS += -Wl,--as-needed -Wl,--gc-sections
LDLIBS += -lldap -llber

.PHONY: clean
clean::
	$(RM) *.o

=== debian/changelog ===
univention-directory-listener (14.0.5-6A~5.0.0.202111301701) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 30 Nov 2021 17:01:19 +0100

univention-directory-listener (14.0.5-6) unstable; urgency=low

  * Bug #26089: Move hard coded module ordering for `replication.py`

 -- Philipp Hahn <hahn@univention.de>  Tue, 30 Nov 2021 13:46:28 +0100

univention-directory-listener (14.0.5-5) unstable; urgency=low

  * Bug #26089: Add priority for module execution order to UDL API

 -- Philipp Hahn <hahn@univention.de>  Thu, 18 Nov 2021 11:27:20 +0100

univention-directory-listener (14.0.5-4) unstable; urgency=low

  * Bug #26089: Add priority for module execution order

 -- Philipp Hahn <hahn@univention.de>  Thu, 11 Nov 2021 13:31:25 +0100

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
 Breaks:
  python-univention (<< 13),
  python-univention-directory-manager (<< 15),
+ univention-directory-replication (<< 13.0.2-3),
 Description: UCS - Directory Listener
  UCS Directory Listener is a client for the UCS
  Directory Notifier which calls Python handlers upon changes. By

=== debian/tests/control ===
Tests: filter
Depends: @, univention-directory-replication, univention-directory-notifier, slapd, ssl-cert, procps, ca-certificates
Restrictions: isolation-container, allow-stderr, needs-root

## univention-directory-listener 14.0.5-7A~5.0.0.202204271810

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Univention Directory Listener
 #  Makefile for the listener
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== tests/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Univention Directory Listener
 #  Makefile for testing the listener
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-directory-listener (14.0.5-7A~5.0.0.202204271810) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 27 Apr 2022 18:10:36 +0200

univention-directory-listener (14.0.5-7) unstable; urgency=low

  * Bug #54696: fix TypeError when deactivating listener module

 -- Daniel Troeder <troeder@univention.de>  Wed, 27 Apr 2022 14:43:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Directory Listener
 #  rules file for the debian package
 #
-# Copyright 2004-2021 Univention GmbH
+# Copyright 2004-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-directory-listener 14.0.6-2A~5.0.0.202206230904

=== debian/changelog ===
univention-directory-listener (14.0.6-2A~5.0.0.202206230904) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 23 Jun 2022 09:04:40 +0200

univention-directory-listener (14.0.6-2) unstable; urgency=low

  * Bug #54501: cleanup listener module library

 -- Daniel Troeder <troeder@univention.de>  Tue, 21 Jun 2022 16:58:10 +0200

univention-directory-listener (14.0.6-1) unstable; urgency=medium

  * Bug #54706: drop Python 2 package files

 -- Florian Best <best@univention.de>  Wed, 04 May 2022 08:56:20 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,6 @@
  libunivention-config-dev,
  libunivention-debug-dev (>= 0.8),
  libunivention-policy-dev,
- python-all,
- python-all-dev,
- python-debian,
- python-six,
  python3-all,
  python3-all-dev,
  python3-debian,
@@ -26,15 +22,13 @@
 Package: univention-directory-listener
 Architecture: any
 Depends:
- python-univention-lib (>= 1.0.25-1),
- python-univention-namespace,
- python-univention (>= 13),
- python-univention-debug,
+ python3-univention-lib (>= 1.0.25-1),
+ python3-univention (>= 13),
+ python3-univention-debug,
  shell-univention-lib (>= 1.0.6),
  univention-base-files,
  ${misc:Depends},
  ${python3:Depends},
- ${python:Depends},
  ${shlibs:Depends},
 Suggests:
  lmdb-utils,

=== debian/rules ===
--- 
+++ 
@@ -52,9 +52,6 @@
 	mv debian/univention-directory-listener/usr/sbin/verify debian/univention-directory-listener/usr/sbin/univention-directory-listener-verify
 	mv debian/univention-directory-listener/usr/sbin/listener-ctrl debian/univention-directory-listener/usr/sbin/univention-directory-listener-ctrl
 
-override_dh_python2:
-	dh_python2 --skip-private
-
 override_dh_python3:
 	dh_python3 --skip-private
 
@@ -73,4 +70,4 @@
 	dh_installdocs --link-doc=univention-directory-listener
 
 %:
-	dh $@ --with python2,python3,ucr,systemd --buildsystem=pybuild
+	dh $@ --with python3,ucr,systemd --buildsystem=pybuild

## univention-directory-listener 14.0.6-3A~5.0.0.202301271622

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,10 @@
 # Univention Directory Listener
 #  Makefile for the listener
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== tests/Makefile ===
--- 
+++ 
@@ -2,7 +2,10 @@
 # Univention Directory Listener
 #  Makefile for testing the listener
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-directory-listener (14.0.6-3A~5.0.0.202301271622) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 27 Jan 2023 16:22:54 +0100

univention-directory-listener (14.0.6-3) unstable; urgency=low

  * Bug #54986: slap tools must also work in case
    /etc/ldap/slapd.d/cn=config.ldif exists (even if invalid)

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Wed, 25 Jan 2023 18:03:46 +0100

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,9 @@
 Package: univention-directory-listener
 Architecture: any
 Depends:
- python3-univention-lib (>= 1.0.25-1),
  python3-univention (>= 13),
  python3-univention-debug,
+ python3-univention-lib (>= 1.0.25-1),
  shell-univention-lib (>= 1.0.6),
  univention-base-files,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention Directory Listener
 #  rules file for the debian package
 #
-# Copyright 2004-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2004-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-directory-listener 14.0.8-1A~5.0.0.202302032033

=== debian/changelog ===
univention-directory-listener (14.0.8-1A~5.0.0.202302032033) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 20:33:46 +0100

univention-directory-listener (14.0.8-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:39 +0100

univention-directory-listener (14.0.7-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing
  * Bug #53824: Make attribute `name` optional
  * Bug #49817: Warn using `listener-ctrl resync …`

 -- Philipp Hahn <hahn@univention.de>  Thu, 02 Feb 2023 11:10:16 +0100

## univention-directory-listener 14.0.8-3

=== debian/changelog ===
univention-directory-listener (14.0.8-3) unstable; urgency=medium

  * Bug #55632: improved the Python 3.11 compatiblity

 -- Mika Westphal <westphal@univention.de>  Fri, 28 Apr 2023 11:45:22 +0200

univention-directory-listener (14.0.8-2) unstable; urgency=medium

  * Bug #55957: Fix start-stop-daemon option handling

 -- Arvid <requate@univention.de>  Wed, 12 Apr 2023 13:04:54 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-all,
  python3-all-dev,
  python3-debian,
+ python3-setuptools,
  python3-six,
  univention-config-dev (>= 15.0.3),

## univention-directory-listener 14.0.8-6

=== debian/changelog ===
univention-directory-listener (14.0.8-6) unstable; urgency=medium

  * Bug #55610: make ucr template for /etc/logrotate.d/listener_module python2 compatible

 -- Mika Westphal <westphal@univention.de>  Mon, 28 Aug 2023 08:31:27 +0200

univention-directory-listener (14.0.8-5) unstable; urgency=medium

  * Bug #55610: added fix for failing permission test and added default
    logrotate configuration

 -- Mika Westphal <westphal@univention.de>  Tue, 22 Aug 2023 12:18:42 +0200

univention-directory-listener (14.0.8-4) unstable; urgency=medium

  * Bug #55610: add logrotate configuration for the listener module and a UCR variable to modify it

 -- Mika Westphal <westphal@univention.de>  Mon, 14 Aug 2023 14:40:48 +0200

## univention-directory-listener 14.0.8-7

=== debian/changelog ===
univention-directory-listener (14.0.8-7) unstable; urgency=medium

  * Bug #56354: do not leak password in process list in univention-
    directory-listener-verify

 -- Florian Best <best@univention.de>  Wed, 25 Oct 2023 11:17:21 +0200

## univention-directory-listener 14.0.9-2

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-directory-listener (14.0.9-2) unstable; urgency=medium

  * Bug #57024: retry in case notifier doesn't answer.
    New UCR variable listener/notifier/retries with default 10.

 -- Arvid <requate@univention.de>  Mon, 05 Feb 2024 14:28:31 +0100

univention-directory-listener (14.0.9-1) unstable; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:28 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-directory-listener 15.0.1A~5.1.0.202402271732

=== src/Makefile ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 LDAP_LDLIBS := -lldap -llber
 
-CFLAGS += -Wall -Werror -D_FILE_OFFSET_BITS=64
+CFLAGS += -Wall -Werror -D_FILE_OFFSET_BITS=64 -I/usr/include/ -I/usr/include/python3.9/ -Wno-error=deprecated-declarations
 LDLIBS := -luniventiondebug -luniventionconfig -licuuc
-LISTENER_LDLIBS := -luniventionpolicy $(LDAP_LDLIBS) -lpython3.7m $(DB_LDLIBS)
+LISTENER_LDLIBS := -luniventionpolicy $(LDAP_LDLIBS) -lpython3.9 $(DB_LDLIBS)
 LISTENER_OBJS := main.o notifier.o transfile.o handlers.o change.o network.o signals.o select_server.o utils.o $(DB_OBJS)
 DUMP_LDLIBS := $(LDAP_LDLIBS) $(DB_LDLIBS)
 DUMP_OBJS := dump.o dump_signals.o utils.o $(DB_OBJS)

=== debian/changelog ===
univention-directory-listener (15.0.1A~5.1.0.202402271732) ucs5-1-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 27 Feb 2024 17:32:27 +0100

univention-directory-listener (15.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 08:51:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.5.5
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  dh-python,
  libicu-dev,
  libldap2-dev,
@@ -17,7 +17,6 @@
  python3-all-dev,
  python3-debian,
  python3-setuptools,
- python3-six,
  univention-config-dev (>= 15.0.3),
 
 Package: univention-directory-listener
@@ -36,8 +35,6 @@
 Conflicts:
  univention-ldap-listener (<< 2.2.2),
 Breaks:
- python-univention (<< 13),
- python-univention-directory-manager (<< 15),
  univention-directory-replication (<< 13.0.2-3),
 Description: UCS - Directory Listener
  UCS Directory Listener is a client for the UCS

=== debian/rules ===
--- 
+++ 
@@ -73,4 +73,4 @@
 	dh_installdocs --link-doc=univention-directory-listener
 
 %:
-	dh $@ --with python3,ucr,systemd --buildsystem=pybuild
+	dh $@ --with python3,ucr --buildsystem=pybuild

## univention-directory-listener 16.0.5

=== src/Makefile ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 LDAP_LDLIBS := -lldap -llber
 
-CFLAGS += -Wall -Werror -D_FILE_OFFSET_BITS=64 -I/usr/include/ -I/usr/include/python3.9/ -Wno-error=deprecated-declarations
+CFLAGS += -Wall -Werror -D_FILE_OFFSET_BITS=64
 LDLIBS := -luniventiondebug -luniventionconfig -licuuc
-LISTENER_LDLIBS := -luniventionpolicy $(LDAP_LDLIBS) -lpython3.9 $(DB_LDLIBS)
+LISTENER_LDLIBS := -luniventionpolicy $(LDAP_LDLIBS) -lpython3.11 $(DB_LDLIBS)
 LISTENER_OBJS := main.o notifier.o transfile.o handlers.o change.o network.o signals.o select_server.o utils.o $(DB_OBJS)
 DUMP_LDLIBS := $(LDAP_LDLIBS) $(DB_LDLIBS)
 DUMP_OBJS := dump.o dump_signals.o utils.o $(DB_OBJS)

=== tests/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2004-2023 Univention GmbH
+# Copyright 2004-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-directory-listener (16.0.5) unstable; urgency=medium

  * Bug #56858: replace transitional packages

 -- Christian Castens <castens@univention.de>  Mon, 03 Jun 2024 16:00:00 +0200

univention-directory-listener (16.0.4) unstable; urgency=medium

  * Bug #56604: use __future__ annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 11:16:21 +0100

univention-directory-listener (16.0.3) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:33 +0100

univention-directory-listener (16.0.2) unstable; urgency=medium

  * Bug #56793: Replace libnss-ldapd with SSSd

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Fri, 08 Mar 2024 00:18:48 +0100

univention-directory-listener (16.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:17 +0100

univention-directory-listener (15.0.6) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:08 +0100

univention-directory-listener (15.0.5) unstable; urgency=medium

  * Bug #55997: replace obsolete ldap client utility options (-h/-p)

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:46 +0100

univention-directory-listener (15.0.4) unstable; urgency=medium

  * Bug #56533: Migrate univention-directory-listener to Python 3.9

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:41 +0100

univention-directory-listener (15.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:29 +0100

univention-directory-listener (15.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:22 +0100

univention-directory-listener (14.0.10-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (=13),
  dh-python,
  libicu-dev,
- libldap2-dev,
+ libldap-dev,
  liblmdb-dev,
  libssl-dev,
  libunivention-config-dev,

=== debian/rules ===
--- 
+++ 
@@ -66,9 +66,6 @@
 override_dh_auto_test:
 	make -C tests tests
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='univention-directory-listener-dbg (<< 13.0.2-12~)'
-
 override_dh_installdocs:
 	dh_installdocs --link-doc=univention-directory-listener

## univention-directory-listener 16.2.0

=== debian/changelog ===
univention-directory-listener (16.2.0) unstable; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump
  * Bug #56247: Break long lines in schema.conf

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 13 Aug 2025 12:51:06 +0200

univention-directory-listener (16.0.6-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:32 +0100

## univention-directory-listener 16.2.1

=== debian/changelog ===
univention-directory-listener (16.2.1) unstable; urgency=medium

  * Bug #58522: fix listener module initialization

 -- Marius Meschter <marius.meschter@univention.de>  Fri, 22 Aug 2025 08:35:30 +0200

## univention-directory-listener 16.3.0

=== src/Makefile ===
#
# Univention Directory Listener
#  Makefile for the listener
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only
#
CC ?= gcc

DB_LDLIBS := -llmdb
DB_OBJS := cache.o cache_dn.o cache_entry.o cache_lowlevel.o base64.o filter.o

LDAP_LDLIBS := -lldap -llber

CFLAGS += -Wall -Werror -D_FILE_OFFSET_BITS=64
LDLIBS := -luniventiondebug -luniventionconfig -licuuc
LISTENER_LDLIBS := -luniventionpolicy $(LDAP_LDLIBS) -lpython3.11 $(DB_LDLIBS)
LISTENER_OBJS := main.o notifier.o transfile.o handlers.o change.o network.o signals.o select_server.o utils.o $(DB_OBJS)
DUMP_LDLIBS := $(LDAP_LDLIBS) $(DB_LDLIBS)
DUMP_OBJS := dump.o dump_signals.o utils.o $(DB_OBJS)
DEMO_OBJS := demo.o network.o utils.o
VERIFY_LDLIBS := $(LDAP_LDLIBS) $(DB_LDLIBS)
VERIFY_OBJS := verify.o dump_signals.o utils.o $(DB_OBJS)

ALL ?= listener dump verify
.PHONY: all
all: $(ALL)

listener: $(LISTENER_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(LISTENER_LDLIBS)

dump: $(DUMP_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(DUMP_LDLIBS)

demo: $(DEMO_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(DEMO_LDLIBS)

verify: $(VERIFY_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(VERIFY_LDLIBS)

.PHONY: clean
clean::
	$(RM) *.o
	$(RM) $(ALL)

=== tests/Makefile ===
#
# Univention Directory Listener
#  Makefile for testing the listener
#
# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only
#
SOURCES := $(wildcard test__*.c)
ALL ?= $(patsubst  %.c,%,$(SOURCES))

.PHONY: all
all: $(ALL)

.PHONY: tests
tests: $(ALL)
	run-parts --verbose --regex='test__[^.]*$$' .

test__filter__cache_entry_ldap_filter_match: ../src/filter.o
test__utils__lower_utf8: ../src/utils.o
test__utils__same_dn: ../src/utils.o

include ../src/Makefile

CFLAGS += $(DB_CFLAGS) -I../src -fdata-sections -ffunction-sections
LDFLAGS += -Wl,--as-needed -Wl,--gc-sections
LDLIBS += -lldap -llber

.PHONY: clean
clean::
	$(RM) *.o

=== debian/changelog ===
univention-directory-listener (16.3.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Florian Best ]
  * Bug #58644: allow setting listener/debug/level=5
  * Bug #58644: allow enabling listener/debug/structured-logging

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
  libldap-dev,
  liblmdb-dev,
  libssl-dev,
- libunivention-config-dev,
+ libunivention-config-dev (>= 17.3.0),
  libunivention-debug-dev (>= 0.8),
  libunivention-policy-dev,
  python3-all,
  python3-all-dev,
  python3-debian,
  python3-setuptools,
- univention-config-dev (>= 15.0.3),
+ univention-config-dev (>= 17.3.0),
 
 Package: univention-directory-listener
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,35 +3,8 @@
 # Univention Directory Listener
 #  rules file for the debian package
 #
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
-#
-# Copyright 2004-2024 Univention GmbH
-#
-# https://www.univention.de/
-#
-# All rights reserved.
-#
-# The source code of this program is made available
-# under the terms of the GNU Affero General Public License version 3
-# (GNU AGPL V3) as published by the Free Software Foundation.
-#
-# Binary versions of this program provided by Univention to you as
-# well as other copyrighted, protected or trademarked materials like
-# Logos, graphics, fonts, specific documentations and configurations,
-# cryptographic keys etc. are subject to a license agreement between
-# you and Univention and not subject to the GNU AGPL V3.
-#
-# In the case you use this program under the terms of the GNU AGPL V3,
-# the program is provided in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU Affero General Public License for more details.
-#
-# You should have received a copy of the GNU Affero General Public
-# License with the Debian GNU/Linux or Univention distribution in file
-# /usr/share/common-licenses/AGPL-3; if not, see
-# <https://www.gnu.org/licenses/>.
+# SPDX-FileCopyrightText: 2004-2025 Univention GmbH
+# SPDX-License-Identifier: AGPL-3.0-only
 
 export PYBUILD_NAME=univention-directory-listener

=== debian/tests/control ===
Tests: filter
Depends:
 ca-certificates,
 procps,
 slapd,
 ssl-cert,
 univention-directory-notifier,
 univention-directory-replication,
 @,
Restrictions: isolation-container, allow-stderr, needs-root

## univention-directory-listener 16.4.1

=== debian/changelog ===
univention-directory-listener (16.4.1) unstable; urgency=medium

  * Bug #58653: set .*/debug/structured-logging=true by default

 -- Florian Best <best@univention.de>  Fri, 28 Nov 2025 18:02:22 +0100

univention-directory-listener (16.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:00 +0100
